curl -X PATCH https://api.vouchmark.com/v1/compliance/obligations/obl_aBcD... \
-H "Authorization: Bearer $TOKEN" \
-H "Content-Type: application/json" \
-d '{
"title": "VAT filing (FIRS)",
"nextDueDate": "2026-08-21",
"notifyLeadDays": [14, 3]
}'
{
"success": true,
"data": {
"id": "obl_aBcD...",
"companyId": "cmp_aBcD...",
"category": "vat",
"title": "VAT filing (FIRS)",
"description": "Monthly VAT return filed with FIRS by the 21st.",
"frequency": "monthly",
"nextDueDate": "2026-08-21",
"lastCompletedAt": null,
"isSeeded": true,
"isActive": true,
"notifyLeadDays": [14, 3],
"daysUntilDue": 55,
"createdAt": "2026-06-01T09:00:00Z",
"updatedAt": "2026-06-27T12:00:00Z"
}
}
Compliance
Update obligation
Edit a compliance obligation.
PATCH
/
v1
/
compliance
/
obligations
/
{obligationId}
curl -X PATCH https://api.vouchmark.com/v1/compliance/obligations/obl_aBcD... \
-H "Authorization: Bearer $TOKEN" \
-H "Content-Type: application/json" \
-d '{
"title": "VAT filing (FIRS)",
"nextDueDate": "2026-08-21",
"notifyLeadDays": [14, 3]
}'
{
"success": true,
"data": {
"id": "obl_aBcD...",
"companyId": "cmp_aBcD...",
"category": "vat",
"title": "VAT filing (FIRS)",
"description": "Monthly VAT return filed with FIRS by the 21st.",
"frequency": "monthly",
"nextDueDate": "2026-08-21",
"lastCompletedAt": null,
"isSeeded": true,
"isActive": true,
"notifyLeadDays": [14, 3],
"daysUntilDue": 55,
"createdAt": "2026-06-01T09:00:00Z",
"updatedAt": "2026-06-27T12:00:00Z"
}
}
Updates an existing compliance obligation. All fields are optional; only the fields you send are changed. Returns the updated obligation object.
Path parameters
Body
curl -X PATCH https://api.vouchmark.com/v1/compliance/obligations/obl_aBcD... \
-H "Authorization: Bearer $TOKEN" \
-H "Content-Type: application/json" \
-d '{
"title": "VAT filing (FIRS)",
"nextDueDate": "2026-08-21",
"notifyLeadDays": [14, 3]
}'
{
"success": true,
"data": {
"id": "obl_aBcD...",
"companyId": "cmp_aBcD...",
"category": "vat",
"title": "VAT filing (FIRS)",
"description": "Monthly VAT return filed with FIRS by the 21st.",
"frequency": "monthly",
"nextDueDate": "2026-08-21",
"lastCompletedAt": null,
"isSeeded": true,
"isActive": true,
"notifyLeadDays": [14, 3],
"daysUntilDue": 55,
"createdAt": "2026-06-01T09:00:00Z",
"updatedAt": "2026-06-27T12:00:00Z"
}
}
